Version: 2.27
Release: alt1
Name: emacs-ecb
License: GPL
Group: Editors
Url: http://ecb.sf.net
Summary: Emacs Code Browser
Summary(ru_RU.KOI8-R):    Emacs
Requires: emacs-common emacs-elib emacs-cedet emacs-jdee
Source: ecb-%version.tar.gz
Source1: ecb-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Mon Nov 01 2004
BuildRequires: emacs-common emacs-elib emacs-cedet hd2u

%description
This is code browser for Emacs for C, C++, Java

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.KOI8-R
ECB       C, C++, Java  , 
   emacs-cedet

   Emacs Lisp ,     
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.KOI8-R
 %name-el      %name, 
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n ecb-%version
%__subst s,#!/usr/bin/bash,#!/bin/bash, ecb-images/klaus.sh
%__subst s,#!/usr/bin/bash,#!/bin/bash, ecb-images/methods/height-14_to_21/klaus.sh
dos2unix -U ecb-images/klaus.sh ecb-images/methods/height-14_to_21/klaus.sh

%build
make LOADPATH="%_emacslispdir/elib" CEDET="%_emacslispdir/cedet" all

%install
mkdir -p %buildroot%_emacslispdir/ecb
install -m 644 *.el* %buildroot%_emacslispdir/ecb
cp -R ecb-images %buildroot%_emacslispdir/ecb

mkdir -p %buildroot%_infodir
install -m 644 info-help/* %buildroot%_infodir

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/ecb.el

%post
%install_info ecb.info

%preun
%uninstall_info ecb.info

%files
%doc RELEASE_NOTES README html-help NEWS
%_emacslispdir/ecb/*.elc
%_emacslispdir/ecb/ecb-images/
%config(noreplace) /etc/emacs/site-start.d/ecb.el
%_infodir/*
%_emacslispdir/ecb/ecb-autoloads.el

%files el
%_emacslispdir/ecb/*.el

%changelog
* Mon Nov 01 2004 Ivan Fedorov <ns@altlinux.ru> 2.27-alt1
- New release

* Wed Apr 07 2004 Ott Alex <ott@altlinux.ru> 2.23-alt1
- New release

* Wed Mar 10 2004 Ott Alex <ott@altlinux.ru> 2.22-alt1
- New release, many bugfixes

* Tue Feb 17 2004 Ott Alex <ott@altlinux.ru> 2.21-alt1
- New release

* Tue Feb 03 2004 Ott Alex <ott@altlinux.ru> 2.20-alt1
- New release

* Sat Jan 24 2004 Ott Alex <ott@altlinux.ru> 2.11-alt2
- Fix dependences

* Sat Nov 15 2003 Ott Alex <ott@altlinux.ru> 2.11-alt1
- New release

* Sun Nov 09 2003 Ott Alex <ott@altlinux.ru> 2.01-alt1
- New release
- Rebuild with cedet

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 1.96-alt1
- New release

* Thu Jul 17 2003 Ott Alex <ott@altlinux.ru> 1.95.1-alt1
- New release

* Sat Jul 12 2003 Ott Alex <ott@altlinux.ru> 1.95-alt1
- New version

* Mon Jun 23 2003 Ott Alex <ott@altlinux.ru> 1.94-alt1
- New release

* Sun Apr 27 2003 Alex Ott <ottalex@narod.ru> 1.93-alt1.1
- Fixing spec file

* Mon Mar 31 2003 Ott Alex <ott@altlinux.ru> 1.93-alt1
- 1.93

* Thu Mar 13 2003 Ott Alex <ott@altlinux.ru> 1.92.1-alt2
- Fixing startup file

* Sun Mar 09 2003 Ott Alex <ott@altlinux.ru> 1.92.1-alt1
- New release

* Tue Feb 25 2003 Ott Alex <ott@altlinux.ru> 1.92-alt1
- New release.

* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 1.91.1-alt2
- Fixing spec file

* Thu Feb 13 2003 Ott Alex <ott@altlinux.ru> 1.91.1-alt1
- New release. many bugfixes

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.90-alt2
- fixing spec

* Fri Feb 07 2003 Ott Alex <ott@altlinux.ru> 1.90-alt1
- New version of package

* Mon Jan 13 2003 Ott Alex <ott@altlinux.ru> 1.80-alt5
- fixinf spec file

* Mon Aug 26 2002 Ott Alex <ott@altlinux.ru> 1.80-alt3
- fixinf spec file

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 1.80-alt2
- Splitting on byte-compiled & source packages

* Wed Aug 14 2002 Ott Alex <ott@altlinux.ru> 1.80-alt1
- New version with many improvments

* Mon Aug 12 2002 Ott Alex <ott@altlinux.ru> 1.70-alt3
- Correcting spec file

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 1.70-alt2
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 1.70-alt1
- Initial build

